@import '~/assets/base/variables';

.input__container {
  display: block;
  width: 100%;
}

.input__container textarea {
  background-color: $c-white;
  padding: 12px;
  border-radius: 8px;
  width: 100%;

  &::placeholder {
    color: $c-gray-text;
  }
}

.input__container input {
  padding: 12px;
  padding-left: 40px;
  border-radius: 8px;
  width: 100%;

  &::placeholder {
    color: $c-gray-text;
  }

  &.input-icon {
    padding-left: 36px !important;
  }
}

.input__required {
  color: $c-red-1;
  font-size: 1rem;
  position: absolute;
  right: -10px;
  top: 0;
  vertical-align: middle;
}

.input__label {
  font-weight: 600;
  font-size: 12px;
  color: $c-gray-2;
  margin-bottom: 0.12rem;
  position: relative;
  width: max-content;
  display: block;
}

.input__icon {
  &.left {
    left: 0;
  }
  &.right {
    right: 0;
  }
  top: 0px;
  margin: auto;
  width: max-content;
  height: 100%;
}

.input__container input[type="text"]:disabled {
  background: $c-line-2;
}

.border--default {
  border: 1px solid $c-line-2 !important;
}

.border--white {
  border: 1px solid $c-white !important;
}

.border--success {
  border: 1px solid $c-green !important;
	& .vs__dropdown-toggle {
		border: none !important;
	}
}

.border--danger {
  border: 1px solid $c-red-1 !important;
	& .vs__dropdown-toggle {
		border: none !important;
	}
}

.border--info {
  border: 1px solid $c-blue-2 !important;
}

.border--warning {
  border: 1px solid $c-yellow-2 !important;
}

.shaking {
  animation: shaking-error 0.4s 1 linear
}

p{
  font-family: inherit;
}

@keyframes shaking-error {
  0% {
    -webkit-transform: translate(10px);
  }

  20% {
    -webkit-transform: translate(-10px);
  }

  40% {
    -webkit-transform: translate(15px);
  }

  60% {
    -webkit-transform: translate(-15px);
  }

  80% {
    -webkit-transform: translate(8px);
  }

  100% {
    -webkit-transform: translate(0px);
  }
}

// switch

.checkbox__type--switch {
	user-select: none;
  width: inherit;
	& input{
		height: 0;
		width: 0;
		visibility: hidden;
		position: absolute;
	}

	& .label {
		cursor: pointer;
		text-indent: -9999px;
		width: 27px;
		height: 17px;
		background: $c-white;
		border: 2px solid #000;
		display: block;
		border-radius: 8px;
		position: relative;
	}

	& .lable--disable {
		border-color: #E4E3E3 !important;
		pointer-events: none;
	}

	& .lable--disable:after {
		background: #E4E3E3 !important;
	}

	& .switch:checked + .lable--disable:after {
		background: #fff !important;
	}

	& .switch:checked + .lable--disable {
		background: #E4E3E3 !important;
	}

	& .label:after {
		content: '';
		position: absolute;
		top: 2px;
		left: 2px;
		width: 9px;
		height: 9px;
		background: #000;
		border-radius: 50%;
		transition: 0.1s;
	}

	& .primary:checked + .label {
		background: $c-primary;
		border-color: $c-primary;
	}

	& .danger:checked + .label {
		background: $c-red-text;
		border-color: $c-red-text;
	}

	& .warning:checked + .label {
		background: $c-yellow-2;
		border-color: $c-yellow-2;
	}

	& .success:checked + .label {
		background: $c-green;
		border-color: $c-green;
	}

	& .info:checked + .label {
		background: $c-dblue;
		border-color: $c-dblue;
	}

	& .switch:checked + .label:after {
		left: calc(100% - 2px);
		transform: translateX(-100%);
		background: #fff;
	}

	& .switch:checked + .label:after {
		left: calc(100% - 2px);
		transform: translateX(-100%);
		background: #fff;
	}

	& .label:active:after {
		width: 18px;
	}
}

// radio

.checkbox__type--radio {
  width: inherit;
	& input {
		position: relative;
		cursor: pointer;
		width: 17px !important;
		height: 17px !important;
		padding: 0 !important;
	}

	& input:before {
		content: "";
		display: block;
		position: absolute;
		width: 14px;
		height: 14px;
		top: 0;
		left: 0;
		border: 1.5px solid $c-black;
		border-radius: 50%;
		background-color: $c-white;
	}


	& input:checked:before {
		content: "";
		display: block;
		position: absolute;
		width: 14px;
		height: 14px;
		top: 0 !important;
		left: 0 !important;
	}

	& .primary:checked:before {
		background: $c-primary !important;
		border-color: $c-primary !important;
	}

	& .danger:checked:before {
		background: $c-red-text !important;
		border-color: $c-red-text !important;
	}

	& .warning:checked:before {
		background: $c-yellow-2 !important;
		border-color: $c-yellow-2 !important;
	}

	& .success:checked:before {
		background: $c-green !important;
		border-color: $c-green !important;
	}

	& .info:checked:before {
		background: $c-dblue !important;
		border-color: $c-dblue !important;
	}

	& input:checked:after {
		content: "";
		display: block;
		width: 7px;
		height: 7px;
		background-color: $c-white;
		position: absolute;
		top: 5px;
		left: 5px;
		border-radius: 50%;
	}
	& input:disabled, input:before{
		background: #fff !important;
	}

	& input:disabled:checked:before {
		border-color: #E4E3E3 !important;
		background: #E4E3E3 !important;
	}

	& input:disabled:before {
		border-color: #E4E3E3 !important;
	}

}

// checkbox

.checkbox__type--checkbox {
  width: inherit;
	& input[type=checkbox] {
		position: relative;
		cursor: pointer;
		width: 17px !important;
		height: 17px !important;
		padding: 0 !important;
	}

	& input[type=checkbox]:before {
		content: "";
		display: block;
		position: absolute;
		width: 14px;
		height: 14px;
		top: 0;
		left: 0;
		border: 1.5px solid $c-gray-text;
		border-radius: 3px;
		background-color: $c-white;
	}

	& input[type=checkbox]:checked:before {
		content: "";
		display: block;
		position: absolute;
		width: 17px;
		height: 17px;
		top: 0;
		left: 0;
		background: $c-primary;
		border: none;
	}

	& .primary:checked:before {
		background: $c-primary !important;
	}

	& .danger:checked:before {
		background: $c-red-text !important;
	}

	& .warning:checked:before {
		background: $c-yellow-2 !important;
	}

	& .success:checked:before {
		background: $c-green !important;
	}

	& .info:checked:before {
		background: $c-dblue !important;
	}

	& input[type=checkbox]:disabled:checked:before {
		background: #E4E3E3 !important;
	}

	& input[type=checkbox]:disabled:before {
		border-color: #E4E3E3 !important;
	}

	& .stick:checked:after {
		content: "";
		display: block;
		width: 4px;
		height: 7px;
		border: solid $c-white;
		border-width: 0 2px 2px 0;
		-webkit-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
		position: absolute;
		top: 2px;
		left: 6px;
	}
	& .hyphen:checked:after {
		content: "";
		display: block;
		width: 8px;
		border-bottom: 2px solid $c-white;
		position: absolute;
		top: 8px;
		left: 4.5px;
	}
}

.float-right {
	float: right;
}
